<bugID>1313050<Summary>Web console dies on logging `new Date(NaN)`</Summary><Description>Open the Web Console, enter `new Date(NaN)` (or `new Date("something that doesn't parse")`, which comes up more often in practice). This should show "Date NaN" or "Date &lt;invalid&gt;" or whatever, but instead the console just silently dies and stops printing stuff, and I see the follow error in the web console:

RangeError: invalid date  reps/date-time.js:44:13

Apart from the immediate bug I feel like it would be great to have the web console be more resilient here. Seems like there are lots of opportunities for edge cases of this kind to come up, and getting an alert about an internal web console failure would be a lot better than a blank, dysfunctional console.</Description></bugID>